%define shortname cornerxmms
%define name gdesklets-%{shortname}
%define version 0.0.5
%define release 2mdk
%define archivename CornerXMMS-%{version}

Name:           %{name}
Summary:        XMMS sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=53
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets
Requires:	pyxmms

%description
A sensor and display to control XMMS from a semi-transparent gDesklet
sitting in the lower right corner of the screen.

To add the display, use :
  gdesklets-add-cornerxmms-bottomright-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
find %buildroot%_datadir/ -type f|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_datadir}/gdesklets/Displays
%{_datadir}/gdesklets/Sensors
%{_bindir}/gdesklets-add-cornerxmms-bottomright-display

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- update source1 for 0.30

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- fix URL
- new version

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- initial package 
